Bug 34422 - Bootstrap error with --enable-fixed-point
Bootstrap error with --enable-fixed-point
Status: NEW
Product: gcc
Classification: Unclassified
Component: target
4.3.0
: P3 enhancement
: ---
Assigned To: Not yet assigned to anyone
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-10 17:55 UTC by Martin Drab
Modified: 2009-01-06 18:46 UTC (History)
3 users (show)

See Also:
Host:
Target: x86_64-pc-linux-gnu
Build:
Known to work:
Known to fail:
Last reconfirmed: 2008-01-22 00:58:46


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Drab 2007-12-10 17:55:51 UTC
When compiling todays (20071210) SVN snapshot of gcc using:

../gcc-SVN-20071210/configure --build=x86_64-pc-linux-gnu --with-arch=athlon64 --enable-fixed-point
make

I the compilation fails with:

...
/home/drab/tmp/GCC/build/./gcc/xgcc -B/home/drab/tmp/GCC/build/./gcc/ -B/usr/local/x86_64-pc-linux-gnu/bin/ -B/usr/local/x86_64-pc-linux-gnu/lib/ -isystem /usr/local/x86_64-pc-l
inux-gnu/include -isystem /usr/local/x86_64-pc-linux-gnu/sys-include -g -fkeep-inline-functions -m32 -O2  -O2 -g -O2   -DIN_GCC    -W -Wall -Wwrite-strings -Wstrict-prototypes -
Wmissing-prototypes -Wold-style-definition  -isystem ./include  -fPIC -g -DHAVE_GTHR_DEFAULT -DIN_LIBGCC2 -D__GCC_FLOAT_NOT_NEEDED   -I. -I. -I../../.././gcc -I../../../../gcc-S
VN-20071210/libgcc -I../../../../gcc-SVN-20071210/libgcc/. -I../../../../gcc-SVN-20071210/libgcc/../gcc -I../../../../gcc-SVN-20071210/libgcc/../include -I../../../../gcc-SVN-20
071210/libgcc/config/libbid -DENABLE_DECIMAL_BID_FORMAT -DHAVE_CC_TLS -DUSE_TLS -o _addQQ.o -MT _addQQ.o -MD -MP -MF _addQQ.dep -DL_add -DQQ_MODE -c ../../../../gcc-SVN-20071210
/libgcc/../gcc/config/fixed-bit.c -fvisibility=hidden -DHIDE_EXPORTS
In file included from ../../../../gcc-SVN-20071210/libgcc/../gcc/config/fixed-bit.c:59:
../../../../gcc-SVN-20071210/libgcc/../gcc/config/fixed-bit.h:79: error: unable to emulate 'QQ'
../../../../gcc-SVN-20071210/libgcc/../gcc/config/fixed-bit.h:80: error: unable to emulate 'UQQ'
../../../../gcc-SVN-20071210/libgcc/../gcc/config/fixed-bit.h:81: error: unable to emulate 'HQ'
../../../../gcc-SVN-20071210/libgcc/../gcc/config/fixed-bit.h:82: error: unable to emulate 'UHQ'
../../../../gcc-SVN-20071210/libgcc/../gcc/config/fixed-bit.h:83: error: unable to emulate 'HA'
../../../../gcc-SVN-20071210/libgcc/../gcc/config/fixed-bit.h:84: error: unable to emulate 'UHA'
../../../../gcc-SVN-20071210/libgcc/../gcc/config/fixed-bit.h:99: error: unable to emulate 'SQ'
../../../../gcc-SVN-20071210/libgcc/../gcc/config/fixed-bit.h:100: error: unable to emulate 'USQ'
../../../../gcc-SVN-20071210/libgcc/../gcc/config/fixed-bit.h:101: error: unable to emulate 'SA'
../../../../gcc-SVN-20071210/libgcc/../gcc/config/fixed-bit.h:102: error: unable to emulate 'USA'
../../../../gcc-SVN-20071210/libgcc/../gcc/config/fixed-bit.h:113: error: unable to emulate 'DQ'
../../../../gcc-SVN-20071210/libgcc/../gcc/config/fixed-bit.h:114: error: unable to emulate 'UDQ'
../../../../gcc-SVN-20071210/libgcc/../gcc/config/fixed-bit.h:115: error: unable to emulate 'DA'
../../../../gcc-SVN-20071210/libgcc/../gcc/config/fixed-bit.h:116: error: unable to emulate 'UDA'
make[5]: *** [_addQQ.o] Error 1
make[5]: Leaving directory `/home/drab/tmp/GCC/build/x86_64-pc-linux-gnu/32/libgcc'
make[4]: *** [multi-do] Error 1
make[4]: Leaving directory `/home/drab/tmp/GCC/build/x86_64-pc-linux-gnu/libgcc'
make[3]: *** [all-multi] Error 2
make[3]: Leaving directory `/home/drab/tmp/GCC/build/x86_64-pc-linux-gnu/libgcc'
make[2]: *** [all-stage1-target-libgcc] Error 2
make[2]: Leaving directory `/home/drab/tmp/GCC/build'
make[1]: *** [stage1-bubble] Error 2
make[1]: Leaving directory `/home/drab/tmp/GCC/build'
make: *** [all] Error 2
Comment 1 Ben Elliston 2008-01-22 00:58:46 UTC
Confirmed with today' r131705.  The --with-arch option seems to have no involvement here.
Comment 2 Tom 2008-03-11 09:32:56 UTC
Hello

I got the same problems using the 4.3.0 release as well as with the current 4.4 snapshot (20080307).

Is there any workaround? Or any version where --enable-fixed-point actually works? I tried 4.2.3, which compiled fine, but the resulting compiler doesn't support the extensions...
Comment 3 Bernard Leak 2008-10-17 21:08:09 UTC
I've seen this with 4.3.1 and 4.3.2 official releases with (as it happens)
athlon-64 again (but 32-bit Linux).  But then I also saw it with 4.3.1
on a pure Pentium4 system, so I don't think it's really 64-bit specific.
I've *never* built successfully with --enable-fixed-point .
Comment 4 Rob 2009-01-06 14:55:46 UTC
Confirmed on i386-pc-solaris2.11, building gcc version 4.4.0 20090106.

In addition I get an ice-on-valid-code .


# gmake profiledbootstrap
...
/usr/share/src/gcc_build/./gcc/xgcc -B/usr/share/src/gcc_build/./gcc/ -B/usr/local/i386-pc-solaris2.11/bin/ -B/usr/local/i386-pc-solaris2.11/lib/ -isystem /usr/local/i386-pc-solaris2.11/include -isystem /usr/local/i386-pc-solaris2.11/sys-include -g -O2 -m64 -O2  -g -O2 -DIN_GCC   -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wcast-qual -Wold-style-definition  -isystem ./include  -fPIC -g -DHAVE_GTHR_DEFAULT -DIN_LIBGCC2 -D__GCC_FLOAT_NOT_NEEDED   -I. -I. -I../../.././gcc -I../../../../gcc_trunk/libgcc -I../../../../gcc_trunk/libgcc/. -I../../../../gcc_trunk/libgcc/../gcc -I../../../../gcc_trunk/libgcc/../include -I../../../../gcc_trunk/libgcc/../libdecnumber/dpd -I../../../../gcc_trunk/libgcc/../libdecnumber -DHAVE_CC_TLS -o _addQQ.o -MT _addQQ.o -MD -MP -MF _addQQ.dep -DL_add -DQQ_MODE -c ../../../../gcc_trunk/libgcc/../gcc/config/fixed-bit.c -fvisibility=hidden -DHIDE_EXPORTS
In file included from ../../../../gcc_trunk/libgcc/../gcc/config/fixed-bit.c:59:
../../../../gcc_trunk/libgcc/../gcc/config/fixed-bit.h:79: error: unable to emulate 'QQ'
../../../../gcc_trunk/libgcc/../gcc/config/fixed-bit.h:80: error: unable to emulate 'UQQ'
../../../../gcc_trunk/libgcc/../gcc/config/fixed-bit.h:81: error: unable to emulate 'HQ'
../../../../gcc_trunk/libgcc/../gcc/config/fixed-bit.h:82: error: unable to emulate 'UHQ'
../../../../gcc_trunk/libgcc/../gcc/config/fixed-bit.h:83: error: unable to emulate 'HA'
../../../../gcc_trunk/libgcc/../gcc/config/fixed-bit.h:84: error: unable to emulate 'UHA'
../../../../gcc_trunk/libgcc/../gcc/config/fixed-bit.h:99: error: unable to emulate 'SQ'
../../../../gcc_trunk/libgcc/../gcc/config/fixed-bit.h:100: error: unable to emulate 'USQ'
../../../../gcc_trunk/libgcc/../gcc/config/fixed-bit.h:101: error: unable to emulate 'SA'
../../../../gcc_trunk/libgcc/../gcc/config/fixed-bit.h:102: error: unable to emulate 'USA'
../../../../gcc_trunk/libgcc/../gcc/config/fixed-bit.h:113: error: unable to emulate 'DQ'
../../../../gcc_trunk/libgcc/../gcc/config/fixed-bit.h:114: error: unable to emulate 'UDQ'
../../../../gcc_trunk/libgcc/../gcc/config/fixed-bit.h:115: error: unable to emulate 'DA'
../../../../gcc_trunk/libgcc/../gcc/config/fixed-bit.h:116: error: unable to emulate 'UDA'
../../../../gcc_trunk/libgcc/../gcc/config/fixed-bit.h:127: error: unable to emulate 'TQ'
../../../../gcc_trunk/libgcc/../gcc/config/fixed-bit.h:128: error: unable to emulate 'UTQ'
../../../../gcc_trunk/libgcc/../gcc/config/fixed-bit.h:129: error: unable to emulate 'TA'
../../../../gcc_trunk/libgcc/../gcc/config/fixed-bit.h:130: error: unable to emulate 'UTA'
../../../../gcc_trunk/libgcc/../gcc/config/fixed-bit.c: In function '__addqq3':
../../../../gcc_trunk/libgcc/../gcc/config/fixed-bit.c:64: internal compiler error: in classify_argument, at config/i386/i386.c:5123
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://gcc.gnu.org/bugs.html> for instructions.
gmake[5]: *** [_addQQ.o] Error 1
gmake[5]: Leaving directory `/usr/share/src/gcc_build/i386-pc-solaris2.11/amd64/libgcc'
gmake[4]: *** [multi-do] Error 1
gmake[4]: Leaving directory `/usr/share/src/gcc_build/i386-pc-solaris2.11/libgcc'
gmake[3]: *** [all-multi] Error 2
gmake[3]: Leaving directory `/usr/share/src/gcc_build/i386-pc-solaris2.11/libgcc'
gmake[2]: *** [all-stage1-target-libgcc] Error 2
gmake[2]: Leaving directory `/usr/share/src/gcc_build'
gmake[1]: *** [stage1-bubble] Error 2
gmake[1]: Leaving directory `/usr/share/src/gcc_build'
gmake: *** [profiledbootstrap] Error 2

Rob
Comment 5 Andrew Pinski 2009-01-06 18:46:02 UTC
fixed point support is only currently supported for the MIPS target.